<Script Runat="Server">

Sub Page_Load
  If Not IsPostBack Then
    ViewState( "CurrentPage" ) = 1
  End If
End Sub

Sub btnNextPage_Click( s As Object, e As EventArgs )
  Dim pnlPanel As Panel
  Dim strPanelName AS String


  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = False


  ViewState( "CurrentPage" ) += 1
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = True
End Sub

Sub btnPrevPage_Click( s As Object, e As EventArgs )
  Dim pnlPanel As Panel
  Dim strPanelName AS String

  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = False

  ViewState( "CurrentPage" ) -= 1
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = True
End Sub

Sub btnFinish_Click( s As Object, e As EventArgs )
  pnlForm3.Visible = False
  pnlForm4.Visible = True
  lblSummary.Text = "<h2>Uw gegevens:</h2>"
  lblSummary.Text &= "<li> First Name :" & txtFirstname.Text
  lblSummary.Text &= "<li> Last Name :" & txtLastname.Text
  lblSummary.Text &= "<li> Postnr :" & txtPostnr.Text
  lblSummary.Text &= "<li> Gemeente :" & txtGemeente.Text
  lblSummary.Text &= "<li> Beroep :" & txtBeroep.Text
  lblSummary.Text &= "<li> Geboorte Datum :" & txtgebdat.Text
  lblSummary.Text &= "<li> Geslacht :" & radlGeslacht.SelectedItem.Text
  lblSummary.Text &= "<li> Gehuwd :" & radlGehuwd.SelectedItem.Text
	dim i
  for i=0 to chkBeroep.Items.Count-1
	if chkBeroep.Items(i).Selected then  
	lblSummary.Text &= "<li> Beroep=" & chkBeroep.Items(i).Text
	end if
	next

End Sub

</Script>

<html>
<head><title>PanelMultiPage.aspx</title></head>
<body bgcolor="#C0C0C0" text="darkblue">

<form Runat="Server">

<asp:Panel ID="pnlForm1" Runat="Server">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
First Name:
<asp:TextBox
  ID="txtFirstname"
  Runat="Server" />
<p>
Last Name:
<asp:TextBox
  ID="txtLastname"
  Runat="Server" />
<hr>
Postnr:
<asp:TextBox
  ID="txtPostnr"
  Runat="Server" />
<hr>
Gemeente:
<asp:TextBox
  ID="txtGemeente"
  Runat="Server" />
<hr>
<asp:Button

  Text="Next Page >>"
  OnClick="btnNextPage_Click"
  Runat="Server"
  />

</asp:Panel>
<asp:Panel ID="pnlForm2" Runat="Server" Visible="False">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
Beroep:
<asp:TextBox
  ID="txtBeroep"
  Runat="Server" />
<hr>
Geboortedatum:
<asp:TextBox
  ID="txtgebdat"
  Runat="Server" />
<hr>
Geslacht:
<asp:RadioButtonList
  ID="radlGeslacht"
  Runat="Server">
  <asp:listitem>Mannelijk</asp:listitem>
  <asp:listitem>Vrouwelijk</asp:listitem>
  </asp:RadioButtonList> 
 <hr>
Gehuwd:
<asp:RadioButtonList
  ID="radlGehuwd"
  Runat="Server">
  <asp:listitem>Ja</asp:listitem>
  <asp:listitem>Nee</asp:listitem>
  </asp:RadioButtonList> 
  
<asp:Button
  Text="<< Prev Page"
  OnClick="btnPrevPage_Click"
  Runat="Server" />
<asp:Button
  Text="Next Page >>"
  OnClick="btnNextPage_Click"
  Runat="Server" />

</asp:Panel>
<asp:Panel ID="pnlForm3" Runat="Server" Visible="False">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
Beroep:
<asp:CheckBoxList
  ID="chkBeroep"
  Runat="Server">
  <asp:ListItem Text="Openbare Instelling"/>
  <asp:ListItem Text="Priv" />
  <asp:ListItem Text="Gepensioneerd" />
  <asp:ListItem Text="Werkloos" />
</asp:CheckBoxList>
<hr>
<asp:Button
  Text="<< Prev Page"
  OnClick="btnPrevPage_Click"
  Runat="Server" />
<asp:Button
  Text="Finish"
  OnClick="btnFinish_Click"
  Runat="Server" />

</asp:Panel>
<asp:Panel ID="pnlForm4" Runat="Server" Visible="False">

<asp:Label
  ID="lblSummary"
  Runat="Server"/>

</asp:Panel>

</form>
</body>
</html>
