<Script Runat="Server">

Sub Page_Load
  If Not IsPostBack Then
    ViewState( "CurrentPage" ) = 1
  End If
End Sub

Sub btnNextPage_Click( s As Object, e As EventArgs )
  Dim pnlPanel As Panel
  Dim strPanelName AS String

  ' Hide Previous Panel
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = False

  ' Show Current Panel
  ViewState( "CurrentPage" ) += 1
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = True
End Sub

Sub btnPrevPage_Click( s As Object, e As EventArgs )
  Dim pnlPanel As Panel
  Dim strPanelName AS String

  ' Hide Current Panel
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = False

  ' Show Previous Panel
  ViewState( "CurrentPage" ) -= 1
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = True
End Sub

Sub btnFinish_Click( s As Object, e As EventArgs )
  pnlForm3.Visible = False
  pnlForm4.Visible = True
  lblSummary.Text = "<h2>You entered:</h2>"
  lblSummary.Text &= "<li> Naam=" & txtNaam.Text
  lblSummary.Text &= "<li> Voornaam=" & txtVoornaam.Text
  lblSummary.Text &= "<li> Postnummer=" & txtPostnummer.Text
  lblSummary.Text &= "<li> Gemeente=" & txtGemeente.Text
  lblSummary.Text &= "<li> Beroep= "& txtBeroep.Text
  lblSummary.Text &= "<li> Geboortedautm = "& txtGeboortedatum.Text
  lblSummary.Text &= "<li> Geslacht = "& radlGeslacht.SelectedItem.Text
  lblSummary.Text &= "<li> Burgelijkstaat = "& radlBurgelijkstaat.SelectedItem.Text
  lblSummary.Text &= "<li> Beroepen=" & radlBeroep.SelectedItem.Text
End Sub

</Script>

<html>
<head><title>PanelMultiPage.aspx</title></head>
<body>

<form Runat="Server">

<asp:Panel ID="pnlForm1" Runat="Server">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
Naam:
<asp:TextBox
  ID="txtNaam"
  Runat="Server" />
<p>
Voornaam:
<asp:TextBox
  ID="txtVoornaam"
  Runat="Server" />
<p>
<hr>
Postnummer:
<asp:TextBox
  ID="txtPostnummer"
  Runat="Server" />
<p>
<hr>
Gemeente:
<asp:TextBox
  ID="txtGemeente"
  Runat="Server" />

<hr>
<asp:Button
  Text="Next Page >>"
  OnClick="btnNextPage_Click"
  Runat="Server" />

</asp:Panel>
<asp:Panel ID="pnlForm2" Runat="Server" Visible="False">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
Beroep:
<asp:TextBox
  ID="txtBeroep"
  Runat= "Server" />
<p>
<hr>
Geboortedatum
<asp:TextBox
  Id="txtGeboortedatum"
  Runat= "Server" />
<p>
<hr>
Geslacht:
<asp:RadioButtonList 
 ID="radlGeslacht"
  Runat="Server">
  <asp:ListItem Text="Man" Selected="True"/>
  <asp:ListItem Text="Vrouw" />
</asp:RadioButtonList>
<p>
<hr>
Burgelijkstaat:
<asp:RadioButtonList
  ID="radlBurgelijkstaat"
  Runat="Server">
  <asp:ListItem Text="gehuwd" Selected="True"/>
  <asp:ListItem Text="ongehuwd" />
</asp:RadioButtonList>

<hr>
<asp:Button
  Text="<< Prev Page"
  OnClick="btnPrevPage_Click"
  Runat="Server" />
<asp:Button
  Text="Next Page >>"
  OnClick="btnNextPage_Click"
  Runat="Server" />

</asp:Panel>
<asp:Panel ID="pnlForm3" Runat="Server" Visible="False">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
Beroepen:
<asp:RadioButtonList
  ID="radlBeroep"
  Runat="Server">
  <asp:ListItem Text="Openbaar instelling" Selected="True"/>
  <asp:ListItem Text="Priv" />
  <asp:ListItem Text="Gepensioneerd" />
  <asp:ListItem text="Werkloos" />
</asp:RadioButtonList>
<hr>
<asp:Button
  Text="<< Prev Page"
  OnClick="btnPrevPage_Click"
  Runat="Server" />
<asp:Button
  Text="Finish"
  OnClick="btnFinish_Click"
  Runat="Server" />

</asp:Panel>
<asp:Panel ID="pnlForm4" Runat="Server" Visible="False">

<asp:Label
  ID="lblSummary"
  Runat="Server"/>

</asp:Panel>

</form>
</body>
</html>
