<Script Runat="Server">
	Sub Page_Load
  	If Not IsPostBack Then
    		ViewState( "CurrentPage" ) = 1
  	End If
	End Sub

	Sub btnNextPage_Click( s As Object, e As EventArgs )
  		Dim pnlPanel As Panel
  		Dim strPanelName AS String

  		' Hide Previous Panel
  		strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  		pnlPanel = FindControl( strPanelName )
  		pnlPanel.Visible = "False"

  		' Show Current Panel
  		ViewState( "CurrentPage" ) += 1
  		strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  		pnlPanel = FindControl( strPanelName )
  		pnlPanel.Visible = "True"
	End Sub

	Sub btnPrevPage_Click( s As Object, e As EventArgs )
  		Dim pnlPanel As Panel
  		Dim strPanelName AS String

  		' Hide Current Panel
  		strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  		pnlPanel = FindControl( strPanelName )
  		pnlPanel.Visible = "False"

  		' Show Previous Panel
  		ViewState( "CurrentPage" ) -= 1
  		strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  		pnlPanel = FindControl( strPanelName )
  		pnlPanel.Visible = "True"
	End Sub

	Sub btnFinish_Click( s As Object, e As EventArgs )
  		pnlForm3.Visible = "False"
  		pnlForm4.Visible = "True"
  		lblSummary.Text = "<h2>You entered:</h2>"
  		lblSummary.Text &= "<li> Voornaam=" & txtFirstname.Text
  		lblSummary.Text &= "<li> Naam=" & txtLastname.Text
		lblSummary.Text &= "<li> Postcode=" & txtPostcode.Text
		lblSummary.Text &= "<li> Gemeente=" & txtGemeente.Text
		lblSummary.Text &= "<li> Beroep=" & txtBeroep.Text
		lblSummary.Text &= "<li> Geboortedatum=" & txtGeboortedatum.Text
		lblSummary.Text &= "<li> Geslacht=" & radlGeslacht.SelectedItem.Text
		lblSummary.Text &= "<li> Status=" & radlGehuwd.SelectedItem.Text
		lblSummary.Text &= "<li> Sector=" & chbBeroep.SelectedItem.Text

	End Sub

</Script>

<html>
<head><title>PanelMultiPage.aspx</title></head>
<body>

<form Runat="Server">

<asp:Panel ID="pnlForm1" Runat="Server">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
Voornaam:
<asp:TextBox
  ID="txtFirstname"
  Runat="Server" />
<p>
Naam:
<asp:TextBox
  ID="txtLastname"
  Runat="Server" />
<p>
Postcode:
<asp:TextBox
  ID="txtPostcode"
  Runat="Server" />
<p>
Gemeente:
<asp:TextBox
  ID="txtGemeente"
  Runat="Server" />
<hr>
<asp:Button
  Text="Next Page >>"
  OnClick="btnNextPage_Click"
  Runat="Server" />

</asp:Panel>
<asp:Panel ID="pnlForm2" Runat="Server" Visible="False">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
Beroep:
<asp:TextBox
  ID="txtBeroep"
  Runat="Server" />
<p>

Geboortedatum:
<asp:TextBox
  ID="txtGeboortedatum"
  Runat="Server" />
<p>

Geslacht:
<asp:RadioButtonList
  ID="radlGeslacht"
  Runat="Server">
  <asp:ListItem Text="Man"/>
  <asp:ListItem Text="Vrouw"/>
</asp:RadioButtonList>
<p>

Gehuwd:
<asp:RadioButtonList
  ID="radlGehuwd"
  Runat="Server">
  <asp:ListItem Text="Single"/>	
  <asp:ListItem Text="Gehuwd"/>
</asp:RadioButtonList>

<hr>
<asp:Button
  Text="<< Prev Page"
  OnClick="btnPrevPage_Click"
  Runat="Server" />
<asp:Button
  Text="Next Page >>"
  OnClick="btnNextPage_Click"
  Runat="Server" />

</asp:Panel>


<asp:Panel ID="pnlForm3" Runat="Server" Visible="False">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>


Beroep sector:
<asp:CheckBoxList id="chbBeroep" runat="server">
	<asp:ListItem>Priv</asp:ListItem>
	<asp:ListItem>Openbaar</asp:ListItem>
	<asp:ListItem>Gepensioneerd</asp:ListItem>
	<asp:ListItem>Werkloos</asp:ListItem>
	<asp:ListItem>Half Time</asp:ListItem>
	<asp:ListItem>Student</asp:ListItem>
</asp:CheckBoxList>


<hr>
<asp:Button
  Text="<< Prev Page"
  OnClick="btnPrevPage_Click"
  Runat="Server" />
<asp:Button
  Text="Finish"
  OnClick="btnFinish_Click"
  Runat="Server" />

</asp:Panel>
<asp:Panel ID="pnlForm4" Runat="Server" Visible="False">

<asp:Label
  ID="lblSummary"
  Runat="Server"/>

</asp:Panel>

</form>
</body>
</html>
