<Script Runat="Server">

Sub Page_Load
  If Not IsPostBack Then
    ViewState( "CurrentPage" ) = 1
  End If
End Sub

Sub btnNextPage_Click( s As Object, e As EventArgs )
  Dim pnlPanel As Panel
  Dim strPanelName AS String

  ' Hide Previous Panel
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = False

  ' Show Current Panel
  ViewState( "CurrentPage" ) += 1
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = True
End Sub

Sub btnPrevPage_Click( s As Object, e As EventArgs )
  Dim pnlPanel As Panel
  Dim strPanelName AS String

  ' Hide Current Panel
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = False

  ' Show Previous Panel
  ViewState( "CurrentPage" ) -= 1
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = True
End Sub

<%--

Sub Check(sender As Object, e As EventArgs)
   dim i
   lijstje.Text="<p>Selected Item(s):</p>"
   for i=0 to beroepenlijst.Items.Count-1
     if beroepenlijst.Items(i).Selected then
       lijstje.Text+=beroepenlijst.Items(i).Text + "<br />"
     end if
   next
End Sub

Sub btnFinish_Click( s As Object, e As EventArgs )
  pnlForm3.Visible = False
  pnlForm4.Visible = True
  lblSummary.Text = "<h2>De volgende gegevens werden ingevuld:</h2>"
  lblSummary.Text &= "<li> Voornaam: " & txtFirstname.Text
  lblSummary.Text &= "<li> Familienaam: " & txtLastname.Text
  lblSummary.Text &= "<li> Postnummer: " & txtPostnummer.Text
  lblSummary.Text &= "<li> Gemeente: " & txtGemeente.Text
  lblSummary.Text &= "<li> Beroep: " & txtBeroep.Text
  lblSummary.Text &= "<li> Geboortedatum: " & txtGebdat.Text
  lblSummary.Text &= "<li> Geslacht: " & geslachtlijst.SelectedItem.Text
  lblSummary.Text &= "<li> Beroepsopties: " & lijstje.Text 

--%>

End Sub

</Script>

<html>
<head><title>oef1</title></head>
<body>

<form Runat="Server">

<asp:Panel ID="pnlForm1" Runat="Server">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
Voornaam:
<asp:TextBox
  ID="txtFirstname"
  Runat="Server" />
<p>
Familienaam:
<asp:TextBox
  ID="txtLastname"
  Runat="Server" />
<p>
Postnummer:
<asp:TextBox
  ID="txtPostnummer"
  Runat="Server" />
<p>
Gemeente:
<asp:TextBox
  ID="txtGemeente"
  Runat="Server" />
<hr>
<asp:Button
  Text="Volgende >>"
  OnClick="btnNextPage_Click"
  Runat="Server" />
</asp:Panel>

<asp:Panel ID="pnlForm2" Runat="Server" Visible="False">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
Beroep:
<asp:TextBox
  ID="txtBeroep"
  Runat="Server" />
<p>
Geboortedatum:
<asp:TextBox
  ID="txtGebdat"
  Runat="Server" />
<p>
Geslacht:
<asp:RadioButtonList id="geslachtlijst" runat="server">
   <asp:ListItem selected="true">Man</asp:ListItem>
   <asp:ListItem>Vrouw</asp:ListItem>
</asp:RadioButtonList>
<hr>
<asp:Button
  Text="<< Vorige"
  OnClick="btnPrevPage_Click"
  Runat="Server" />
<asp:Button
  Text="Volgende >>"
  OnClick="btnNextPage_Click"
  Runat="Server" />
</asp:Panel>

<%--

<asp:Panel ID="pnlForm3" Runat="Server" Visible="False">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
Mogelijke beroepsopties:
<asp:CheckBoxList 
  id="beroepenlijst" 
  AutoPostBack="True"
  TextAlign="Right" 
  OnSelectedIndexChanged="Check"
  runat="server">
<asp:ListItem>Openb Inst</asp:ListItem>
<asp:ListItem>Prive</asp:ListItem>
<asp:ListItem>Gepensionneerd</asp:ListItem>
<asp:ListItem>Werkloos</asp:ListItem>
</asp:CheckBoxList>
<asp:label id="lijstje" runat="server" />
<hr>
<asp:Button
  Text="<< Vorige"
  OnClick="btnPrevPage_Click"
  Runat="Server" />
<asp:Button
  Text="Klaar"
  OnClick="btnFinish_Click"
  Runat="Server" />
</asp:Panel>

<asp:Panel ID="pnlForm4" Runat="Server" Visible="False">

<asp:Label
  ID="lblSummary"
  Runat="Server"/>

</asp:Panel>

--%>

</form>
</body>
</html>
