<Script Runat="Server">

Sub Page_Load
  If Not IsPostBack Then
    ViewState( "CurrentPage" ) = 1
  End If
End Sub

Sub btnNextPage_Click( s As Object, e As EventArgs )
  Dim pnlPanel As Panel
  Dim strPanelName AS String

  ' Hide Previous Panel
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = False

  ' Show Current Panel
  ViewState( "CurrentPage" ) += 1
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = True
End Sub

Sub btnPrevPage_Click( s As Object, e As EventArgs )
  Dim pnlPanel As Panel
  Dim strPanelName AS String

  ' Hide Current Panel
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = False

  ' Show Previous Panel
  ViewState( "CurrentPage" ) -= 1
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = True
End Sub

Sub btnFinish_Click( s As Object, e As EventArgs )
  pnlForm3.Visible = False
  pnlForm4.Visible = True
  lblSummary.Text = "<h2>Uw ingevulde gegevens:</h2>"
  lblSummary.Text &= "<li> ID:" & txtID.Text
  lblSummary.Text &= "<li> Paswoord:" & txtPaswoord.Text
  
  lblSummary.Text &= "<p>"
 
  lblSummary.Text &= "<li> Geslacht: " &  radlGeslacht.SelectedItem.Text
 
  lblSummary.Text &= "<p>"
  lblSummary.Text &= "<li> Keuze: <blockquote>"
  
  dim i as integer
  for i = 0 to Keuzelijst.Items.Count - 1
	if Keuzelijst.Items(i).Selected then
	  lblSummary.Text &= Keuzelijst.Items(i).Text & "<br>"
	end if
  next
  lblSummary.Text &= "</blockquote>"
  
End Sub

</Script>

<html>
<head><title>oef01-05.aspx</title></head>
<body>

<form Runat="Server">

<asp:Panel ID="pnlForm1" Runat="Server">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
ID:
<asp:TextBox
  ID="txtID"
  Runat="Server" />
<p>
Paswoord:
<asp:TextBox
  ID="txtPaswoord"
  Runat="Server" />
<p>

</asp:Panel>
<asp:Panel ID="pnlForm2" Runat="Server" Visible="False">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>

Geslacht:
<asp:RadioButtonList
  ID="radlGeslacht"
  Runat="Server">
  <asp:ListItem Text="Vrouw" />
  <asp:ListItem Text="Man" />
</asp:RadioButtonList>
<asp:RequiredFieldValidator
 ControlToValidate="radlGeslacht"
 Text="Ongeldig!"
 runat="server" />
<asp:RequiredFieldValidator
<hr>
<asp:Button
  Text="<< Vorige"
  OnClick="btnPrevPage_Click"
  Runat="Server" />
<asp:Button
  Text="Volgende >>"
  OnClick="btnNextPage_Click"
  Runat="Server" />
</asp:Panel>

<asp:Panel ID="pnlForm3" Runat="Server" Visible="False">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
Keuzelijst:
<asp:CheckBoxList
  ID="Keuzelijst"
  Runat="Server">
  <asp:ListItem Text="Student" />
  <asp:ListItem Text="Leraar" />
  <asp:ListItem Text="Andere" />
  <asp:ListItem Text="werkloos" />
</asp:CheckBoxList>
<hr>
<asp:Button
  Text="<< Vorige"
  OnClick="btnPrevPage_Click"
  Runat="Server" />
<asp:Button
  Text="Versturen"
  OnClick="btnFinish_Click"
  Runat="Server" />

</asp:Panel>
<asp:Panel ID="pnlForm4" Runat="Server" Visible="False">

<asp:Label
  ID="lblSummary"
  Runat="Server"/>

</asp:Panel>

</form>
</body>
</html>
